/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

typedef struct {
  uint8_t bruv;
} door_t;

/**
 * Initializes a door.
 * 
 * @param door Door to initialize.
 */
void doorInit(door_t *door);